Foreman - Bug #6722

foreman-proxy gives "cannot load such file -- kerberos™ when trying to set up IPA DNS

07/22/2014 11:04 AM - Anonymous

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Smart Proxy
Target version: 1.6.0
Difficulty: easy Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1122131 Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/193
Description

This occurred on a RHEL 7 proxy where | was attempting to provision after setting up smart proxy to update IPA DNS.
Changing /usr/share/foreman-proxy/modules/dns/providers/nsupdate_gss.rb:2 to "require 'proxy/kerberos

'kerberos™ is getting me further.

The full trace is:

E, [2014-07-22T10:44:47.997826 #19991] ERROR -- : cannot load such file -- kerberos

D, [2014-07-22T10:44:47.998183 #19991] DEBUG -- : /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:53:in “require’

/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:53:in “require’
/usr/share/foreman-proxy/modules/dns/providers/nsupdate_gss.rb:2:in “<top (required)>'
/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:53:in “require’
/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:53:in “require’
/usr/share/foreman-proxy/modules/dns/dns_api.rb:21:in “dns_setup’
/usr/share/foreman-proxy/modules/dns/dns_api.rb:45:in “block in <class:Api>'
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:1293:in “call'
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:1293:in “block in compile!'

/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:860:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:860:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:876:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:860:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:897:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:895:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:895:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:859:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:858:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:858:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:963:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:946:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:946:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:946:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:960:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:794:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:946:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:946:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:946:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:794:in
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:780:in

i
“block (3 levels) in route!'
‘route_eval'

“block (2 levels) in route!'
“block in process_route'
“catch’

‘process_route'

“block in route!'

“each’

“route!'

“block in dispatch!'
“block in invoke'

“catch'’

‘invoke'

“dispatch!'

“block in call!'

“block in invoke'

“catch’

‘invoke'

“call!’

“call'

/usr/share/gems/gems/rack-1.4.1/lib/rack/commonlogger.rb:20:in “call’

/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:161:in
/usr/share/foreman-proxy/lib/proxy/log.rb:29:in “call’

“call

/usr/share/gems/gems/rack-protection-1.5.0/lib/rack/protection/xss_header.rb:18:in “call'
/usr/share/gems/gems/rack-protection-1.5.0/lib/rack/protection/path_traversal.rb:16:in “call’
/usr/share/gems/gems/rack-protection-1.5.0/lib/rack/protection/json_csrf.rb:18:in “call’
/usr/share/gems/gems/rack-protection-1.5.0/lib/rack/protection/base.rb:49:in “call’
/usr/share/gems/gems/rack-protection-1.5.0/lib/rack/protection/base.rb:49:in “call'
/usr/share/gems/gems/rack-protection-1.5.0/lib/rack/protection/frame_options.rb:31:in “call'
/usr/share/gems/gems/rack-1.4.1/lib/rack/nulllogger.rb:9:in “call’
/usr/share/gems/gems/rack-1.4.1/lib/rack/head.rb:9:in “call’
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/showexceptions.rb:21:in “call’
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:124:in “call’
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:1417:in “block in call'
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:1499:in “synchronize'
/usr/share/gems/gems/sinatra-1.3.6/lib/sinatra/base.rb:1417:in “call'
/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in “call'
/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in “block in call'
/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in “each'’
/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in “call'
/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in “call’
/usr/share/gems/gems/rack-1.4.1/lib/rack/handler/webrick.rb:59:in “service'
/usr/share/ruby/webrick/httpserver.rb:138:in “service'
/usr/share/ruby/webrick/httpserver.rb:94:in “run'
/usr/share/ruby/webrick/server.rb:295:in “block in start_thread'

10.16.133.12 - - [22/Jul/2014 10:44:47] "POST /dns/ HTTP/1.1" 400 33 0.0262

Associated revisions

Revision 5bbd2913 - 08/08/2014 05:48 AM - Dominic Cleal

fixes #6722 - correct require for kerberos utilities

History

#1 - 07/22/2014 11:04 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#2 - 07/24/2014 09:41 AM - Dominic Cleal
- Bugzilla link set to 1122131

#3 - 08/04/2014 06:55 AM - Dominic Cleal

- Assignee set to Dominic Cleal

#4 - 08/04/2014 06:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version setto 1.7.5

- Pull request https://github.com/theforeman/smart-proxy/pull/193 added
- Pull request deleted ()

#5 - 08/08/2014 06:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset smart-proxy:5bbd2913cfa73bd93e19af537a58d27c8a47¢cb59.
